"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const qrcode_1 = require("./qrcode");
class Plugin {
    static install(sdk) {
        sdk.plugins.wifiConfQrcode = {
            start(options) {
                const qrcode = new qrcode_1.QrCode(sdk, Object.assign({ wifiConfType: 'Qrcode' }, options));
                return qrcode.doBusiness();
            },
        };
    }
}
exports.default = Plugin;
//# sourceMappingURL=index.js.map